{% load static %}

{% block nav %}
<nav class="navbar navbar-expand-sm navbar-toggleable-sm
                navbar-light bg-white border-bottom
                box-shadow mb-3">
        <div class="container">
            <a class="navbar-brand" href="{% url 'homepage' %}">
                <img src="{% static 'images/logo.jpg' %}" width="100" height="50">
            </a>
            <button class="navbar-toggler" type="button"
                    data-toggle="collapse"
                    data-target=".navbar-collapse"
                    aria-controls="navbarSupportedContent"
                    aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-tggler-icon"></span>
            </button>
            <div class="navbar-collapse collapse justify-content-between">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link text-dark" href="{% url 'books:index' %}">Book</a>
                    </li>
                    {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link text-dark" href="{% url 'books:create' %}">Add New Book</a>
                    </li>
                    {% endif %}
                </ul>
                <ul class="navbar-nav">
                    {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link text-dark" href="#">Welcome, {{ user }}</a>
                    </li>
                    <li class="nav-item">
                        <form class="logout-link" action="{% url 'accounts:logout' %}" method="POST">
                            {% csrf_token %}
                            <button type="submit" class="btn btn-link text-dark">Logout</button>
                        </form>
                    </li>
                    {% else %}
                    <li class="nav-item">
                        <a class="nav-link text-dark" href="{% url 'accounts:signup' %}">Signup</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-dark" href="{% url 'accounts:login' %}">Login</a>
                    </li>
                    {% endif %}
                </ul>
            </div>
        </div>

</nav>
{% endblock %}